Expand my Community achievements bar.

Enhance your AEM Assets & Boost Your Development: [AEM Gems | June 19, 2024] Improving the Developer Experience with New APIs and Events
SOLVED

Asset Share Commons - Error - org.apache.sling.api.servlets cannot be resolved

Avatar

Employee

Hi Team,

 

I am trying to build my project created with archetypeVersion=34 and getting the below error in my OSGi after successful deployment,  The bundle is in the installed state with the below errors. (Project created by archetype 34, AEM version : 6.5.10, mvn version : 3.8.3)

Screen Shot 2022-06-21 at 10.47.22 am.pngScreen Shot 2022-06-21 at 10.50.05 am.png

I am facing same error with archetypeVersion=30 and archetypeVersion=36  as well.  

 

Could you some help me.

 

Thanks, 

 

 

 

1 Accepted Solution

Avatar

Correct answer by
Employee

Hello All, 

 

This issue is resolved in my local.  I have used AEM as a Cloud Service instead of an AEM Service pack. 

Thanks,

View solution in original post

1 Reply

Avatar

Correct answer by
Employee

Hello All, 

 

This issue is resolved in my local.  I have used AEM as a Cloud Service instead of an AEM Service pack. 

Thanks,